CREATE TABLE cse_intg_txns_debug (
    DEBUG_TXN_ID                      NUMBER(18, 0) ,
    SRC_SYSTEM_TYPE                   VARCHAR2(120) ,
    SRC_SYSTEM_CODE                   VARCHAR2(120) ,
    SRC_SYSTEM_ID                     NUMBER        ,
    SRC_TRANSACTION_TYPE              VARCHAR2(960) ,
    SRC_TRANSACTION_TYPE_ID           VARCHAR2(120) ,
    SRC_TRANSACTION_ID                NUMBER        ,
    SRC_TRANSACTION_DATE              DATE          ,
    SRC_TRANSACTION_QUANTITY          NUMBER        ,
    SRC_TRANSACTION_UOM_CODE          VARCHAR2(12)  ,
    SECONDARY_QUANTITY                NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    RELATED_TRANSACTION_ID            NUMBER        ,
    ITEM_NUMBER                       VARCHAR2(1200),
    ITEM_ID                           NUMBER        ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    ORGANIZATION_CODE                 VARCHAR2(72)  ,
    ORGANIZATION_ID                   NUMBER        ,
    SUBINVENTORY_CODE                 VARCHAR2(120) ,
    LOCATOR_ID                        NUMBER        ,
    SUPPLIER_NAME                     VARCHAR2(960) ,
    SUPPLIER_ID                       NUMBER        ,
    SUPPLIER_SITE                     VARCHAR2(960) ,
    SUPPLIER_SITE_ID                  NUMBER        ,
    SOLD_BY_BUSINESS_UNIT_ID          NUMBER(18, 0) ,
    CUSTOMER_NAME                     VARCHAR2(960) ,
    CUSTOMER_ID                       NUMBER        ,
    CUSTOMER_SITE_PARTY_ID            NUMBER        ,
    CUSTOMER_SITE_ID                  NUMBER        ,
    CUSTOMER_SHIP_TO_LOC              NUMBER        ,
    CUSTOMER_BILLING_PARTY_ID         NUMBER        ,
    CUSTOMER_BILLING_PARTY_SITE_ID    NUMBER        ,
    CUSTOMER_ACCOUNT_ID               NUMBER        ,
    CUSTOMER_ACCOUNT_SITE_ID          NUMBER        ,
    CUSTOMER_ACCOUNT_SITE_USE_ID      NUMBER        ,
    SHIPMENT_DATE                     DATE          ,
    INSTALLED_DATE                    DATE          ,
    IN_SERVICE_DATE                   DATE          ,
    PURCHASE_DATE                     DATE          ,
    ORIGINATION_DATE                  DATE          ,
    WORK_ORDER_NUMBER                 VARCHAR2(480) ,
    WORK_ORDER_ID                     NUMBER        ,
    WORK_ORDER_OPERATION_SEQ_NUM      NUMBER        ,
    WORK_ORDER_OPERATION_ID           NUMBER        ,
    WORK_CENTER_CODE                  VARCHAR2(120) ,
    WORK_CENTER_ID                    NUMBER        ,
    WORK_METHOD_CODE                  VARCHAR2(120) ,
    SALES_ORDER_SOURCE_SYSTEM_TYPE    VARCHAR2(120) ,
    SALES_ORDER_SOURCE_SYSTEM         VARCHAR2(120) ,
    SALES_ORDER_NUMBER                VARCHAR2(480) ,
    SALES_ORDER_ID                    NUMBER        ,
    SALES_ORDER_LINE_NUMBER           VARCHAR2(480) ,
    SALES_ORDER_LINE_ID               NUMBER        ,
    PARENT_ORDER_LINE_NUMBER          VARCHAR2(480) ,
    PARENT_ORDER_LINE_ID              NUMBER(18, 0) ,
    FULFILL_LINE_ID                   NUMBER(18, 0) ,
    PARENT_FULFILL_LINE_ID            NUMBER(18, 0) ,
    SHIPMENT_ID                       NUMBER(18, 0) ,
    SELF_INDEX                        NUMBER        ,
    COMPONENT_SEQUENCE_ID_PATH        VARCHAR2(4000),
    LOGICAL_FLAG                      VARCHAR2(4)   ,
    ACTION_CODE                       VARCHAR2(400) ,
    ITEM_SUB_TYPE_CODE                VARCHAR2(120) ,
    CUSTOMER_ASSET_START_DATE         TIMESTAMP(6)  ,
    CUSTOMER_ASSET_END_DATE           TIMESTAMP(6)  ,
    LOCATION_TYPE                     VARCHAR2(120) ,
    LOCATION_ID                       NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_PACKING_UNIT      VARCHAR2(600) ,
    ROOT_PARENT_FULFILL_LINE_ID       NUMBER(18, 0) ,
    ROOT_PARENT_LINE_ID               NUMBER(18, 0) ,
    ROOT_PARENT_ITEM_ID               NUMBER(18, 0) ,
    ROOT_PARENT_ITEM_TYPE_CODE        VARCHAR2(120) ,
    ROOT_PARENT_CONFIG_ITEM_ID        NUMBER(18, 0) ,
    ROOT_PARENT_SR_CONTROL            NUMBER(18, 0) ,
    ROOT_PARENT_CONFIG_SR_CONTROL     NUMBER(18, 0) ,
    PJC_CONTEXT_CATEGORY              VARCHAR2(160) ,
    PJC_PROJECT_ID                    NUMBER(18, 0) ,
    PJC_TASK_ID                       NUMBER(18, 0) ,
    PJC_EXPENDITURE_TYPE_ID           NUMBER(18, 0) ,
    PJC_EXPENDITURE_ITEM_DATE         DATE          ,
    PJC_ORGANIZATION_ID               NUMBER(18, 0) ,
    PJC_BILLABLE_FLAG                 VARCHAR2(4)   ,
    PJC_CAPITALIZABLE_FLAG            VARCHAR2(4)   ,
    PJC_WORK_TYPE_ID                  NUMBER(18, 0) ,
    PJC_CONTRACT_ID                   NUMBER(18, 0) ,
    PJC_CONTRACT_LINE_ID              NUMBER(18, 0) ,
    PJC_FUNDING_ALLOCATION_ID         NUMBER(18, 0) ,
    PJC_RESERVED_ATTRIBUTE1           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE2           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE3           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE4           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE5           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE6           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE7           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE8           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE9           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE10          VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE1           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE2           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE3           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE4           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE5           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE6           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE7           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE8           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE9           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE10          VARCHAR2(600) ,
    COUNTRY_OF_ORIGIN_CODE            VARCHAR2(8)   ,
    SHIPMENT_NUMBER                   VARCHAR2(120) ,
    CONFIGURATOR_PATH                 VARCHAR2(4000),
    CONFIG_HEADER_ID                  NUMBER(18, 0) ,
    CONFIG_REVISION_NUMBER            NUMBER(18, 0) ,
    INV_PROJECT_ID                    NUMBER(18, 0) ,
    INV_TASK_ID                       NUMBER(18, 0) ,
    INV_STRIPING_CATEGORY             VARCHAR2(160) ,
    INV_RESERVED_ATTRIBUTE1           VARCHAR2(600) ,
    INV_RESERVED_ATTRIBUTE2           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE1           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE2           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE3           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE4           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE5           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE6           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE7           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE8           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE9           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE10          VARCHAR2(600) ,
    TXN_GROUP_ID                      NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    DEBUG_TXN_ID                      NUMBER(18, 0) ,
    SRC_SYSTEM_TYPE                   VARCHAR2(120) ,
    SRC_SYSTEM_CODE                   VARCHAR2(120) ,
    SRC_SYSTEM_ID                     NUMBER        ,
    SRC_TRANSACTION_TYPE              VARCHAR2(960) ,
    SRC_TRANSACTION_TYPE_ID           VARCHAR2(120) ,
    SRC_TRANSACTION_ID                NUMBER        ,
    SRC_TRANSACTION_DATE              DATE          ,
    SRC_TRANSACTION_QUANTITY          NUMBER        ,
    SRC_TRANSACTION_UOM_CODE          VARCHAR2(12)  ,
    RELATED_TRANSACTION_ID            NUMBER        ,
    ITEM_NUMBER                       VARCHAR2(1200),
    ITEM_ID                           NUMBER        ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    ORGANIZATION_CODE                 VARCHAR2(72)  ,
    ORGANIZATION_ID                   NUMBER        ,
    SUBINVENTORY_CODE                 VARCHAR2(120) ,
    LOCATOR_ID                        NUMBER        ,
    SUPPLIER_NAME                     VARCHAR2(960) ,
    SUPPLIER_ID                       NUMBER        ,
    SUPPLIER_SITE                     VARCHAR2(960) ,
    SUPPLIER_SITE_ID                  NUMBER        ,
    SOLD_BY_BUSINESS_UNIT_ID          NUMBER(18, 0) ,
    CUSTOMER_NAME                     VARCHAR2(960) ,
    CUSTOMER_ID                       NUMBER        ,
    CUSTOMER_SITE_PARTY_ID            NUMBER        ,
    CUSTOMER_SITE_ID                  NUMBER        ,
    CUSTOMER_SHIP_TO_LOC              NUMBER        ,
    CUSTOMER_BILLING_PARTY_ID         NUMBER        ,
    CUSTOMER_BILLING_PARTY_SITE_ID    NUMBER        ,
    CUSTOMER_ACCOUNT_ID               NUMBER        ,
    CUSTOMER_ACCOUNT_SITE_ID          NUMBER        ,
    CUSTOMER_ACCOUNT_SITE_USE_ID      NUMBER        ,
    SHIPMENT_DATE                     DATE          ,
    INSTALLED_DATE                    DATE          ,
    IN_SERVICE_DATE                   DATE          ,
    PURCHASE_DATE                     DATE          ,
    ORIGINATION_DATE                  DATE          ,
    WORK_ORDER_NUMBER                 VARCHAR2(480) ,
    WORK_ORDER_ID                     NUMBER        ,
    WORK_ORDER_OPERATION_SEQ_NUM      NUMBER        ,
    WORK_ORDER_OPERATION_ID           NUMBER        ,
    WORK_CENTER_CODE                  VARCHAR2(120) ,
    WORK_CENTER_ID                    NUMBER        ,
    WORK_METHOD_CODE                  VARCHAR2(120) ,
    SALES_ORDER_SOURCE_SYSTEM_TYPE    VARCHAR2(120) ,
    SALES_ORDER_SOURCE_SYSTEM         VARCHAR2(120) ,
    SALES_ORDER_NUMBER                VARCHAR2(480) ,
    SALES_ORDER_ID                    NUMBER        ,
    SALES_ORDER_LINE_NUMBER           VARCHAR2(480) ,
    SALES_ORDER_LINE_ID               NUMBER        ,
    PARENT_ORDER_LINE_NUMBER          VARCHAR2(480) ,
    PARENT_ORDER_LINE_ID              NUMBER(18, 0) ,
    FULFILL_LINE_ID                   NUMBER(18, 0) ,
    PARENT_FULFILL_LINE_ID            NUMBER(18, 0) ,
    SHIPMENT_ID                       NUMBER(18, 0) ,
    SELF_INDEX                        NUMBER        ,
    COMPONENT_SEQUENCE_ID_PATH        VARCHAR2(4000),
    LOGICAL_FLAG                      VARCHAR2(4)   ,
    ACTION_CODE                       VARCHAR2(400) ,
    ITEM_SUB_TYPE_CODE                VARCHAR2(120) ,
    CUSTOMER_ASSET_START_DATE         TIMESTAMP(6)  ,
    CUSTOMER_ASSET_END_DATE           TIMESTAMP(6)  ,
    LOCATION_TYPE                     VARCHAR2(120) ,
    LOCATION_ID                       NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_PACKING_UNIT      VARCHAR2(600) ,
    ROOT_PARENT_FULFILL_LINE_ID       NUMBER(18, 0) ,
    ROOT_PARENT_LINE_ID               NUMBER(18, 0) ,
    ROOT_PARENT_ITEM_ID               NUMBER(18, 0) ,
    ROOT_PARENT_ITEM_TYPE_CODE        VARCHAR2(120) ,
    ROOT_PARENT_CONFIG_ITEM_ID        NUMBER(18, 0) ,
    ROOT_PARENT_SR_CONTROL            NUMBER(18, 0) ,
    ROOT_PARENT_CONFIG_SR_CONTROL     NUMBER(18, 0) ,
    PJC_CONTEXT_CATEGORY              VARCHAR2(160) ,
    PJC_PROJECT_ID                    NUMBER(18, 0) ,
    PJC_TASK_ID                       NUMBER(18, 0) ,
    PJC_EXPENDITURE_TYPE_ID           NUMBER(18, 0) ,
    PJC_EXPENDITURE_ITEM_DATE         DATE          ,
    PJC_ORGANIZATION_ID               NUMBER(18, 0) ,
    PJC_BILLABLE_FLAG                 VARCHAR2(4)   ,
    PJC_CAPITALIZABLE_FLAG            VARCHAR2(4)   ,
    PJC_WORK_TYPE_ID                  NUMBER(18, 0) ,
    PJC_CONTRACT_ID                   NUMBER(18, 0) ,
    PJC_CONTRACT_LINE_ID              NUMBER(18, 0) ,
    PJC_FUNDING_ALLOCATION_ID         NUMBER(18, 0) ,
    PJC_RESERVED_ATTRIBUTE1           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE2           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE3           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE4           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE5           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE6           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE7           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE8           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE9           VARCHAR2(600) ,
    PJC_RESERVED_ATTRIBUTE10          VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE1           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE2           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE3           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE4           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE5           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE6           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE7           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE8           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE9           VARCHAR2(600) ,
    PJC_USER_DEF_ATTRIBUTE10          VARCHAR2(600) ,
    COUNTRY_OF_ORIGIN_CODE            VARCHAR2(8)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    SHIPMENT_NUMBER                   VARCHAR2(120) ,
    CONFIGURATOR_PATH                 VARCHAR2(4000),
    CONFIG_HEADER_ID                  NUMBER(18, 0) ,
    CONFIG_REVISION_NUMBER            NUMBER(18, 0) ,
    INV_PROJECT_ID                    NUMBER(18, 0) ,
    INV_TASK_ID                       NUMBER(18, 0) ,
    INV_STRIPING_CATEGORY             VARCHAR2(160) ,
    INV_RESERVED_ATTRIBUTE1           VARCHAR2(600) ,
    INV_RESERVED_ATTRIBUTE2           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE1           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE2           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE3           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE4           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE5           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE6           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE7           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE8           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE9           VARCHAR2(600) ,
    INV_USER_DEF_ATTRIBUTE10          VARCHAR2(600) ,
    TXN_GROUP_ID                      NUMBER(18, 0) ,
    SECONDARY_QUANTITY                NUMBER        ,
    SECONDARY_UOM_CODE                VARCHAR2(12)  ,
    CONSTRAINT pk_cse_intg_txns_debug PRIMARY KEY (DEBUG_TXN_ID, DEBUG_TXN_ID)
);
